]> git.pld-linux.org Git - packages/fam.git/commitdiff
- rc-script for FAM
authorJan Rękorajski <baggins@pld-linux.org>
Wed, 29 Jun 2005 22:34:53 +0000 (22:34 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    fam.init -> 1.1

fam.init [new file with mode: 0644]

diff --git a/fam.init b/fam.init
new file mode 100644 (file)
index 0000000..5ab9523
--- /dev/null
+++ b/fam.init
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# fam          FAM, the File Alteration Monitor server
+#
+# chkconfig:   345 75 25
+# description: FAM provides a daemon and an API which applications
+#              can use to be notified when specific files or directories
+#              are changed.
+# processname: fam
+# pidfile:     /var/run/fam.pid
+# config:      /etc/fam.conf
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/fam ] && . /etc/sysconfig/fam
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               # nls "ERROR: Networking is down. %s can't be run." <service>
+               msg_network_down fam
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/fam ]; then
+               msg_starting "File Alteration Monitor"
+               daemon fam -T0 $FAM_OPTS
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/fam
+       else
+               msg_already_running "File Alteration Monitor"
+       fi
+       ;;
+  stop)
+       # Stop daemons.
+       if [ -f /var/lock/subsys/fam ]; then
+               msg_stopping "File Alteration Monitor"
+               killproc fam
+               rm -f /var/lock/subsys/fam > /dev/null 2>&1
+       else
+               msg_not_running "File Alteration Monitor"
+       fi
+       ;;
+  status)
+       status fam
+       exit $?
+       ;;
+  restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
+esac
+
+exit $RETVAL
This page took 0.104843 seconds and 4 git commands to generate.